Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.axf.ide
Class AbstractModelWorkbenchListener

    java.lang.Object
      org.eclipse.amp.axf.ide.AbstractModelWorkbenchListener

All Implemented Interfaces:
  IModelWorkbenchListener

    public class AbstractModelWorkbenchListener

extends java.lang.Object
implements IModelWorkbenchListener

Author:
  mparker

Constructor Summary
`AbstractModelWorkbenchListener()`

Method Summary
`void` | `modelActivated(IModel model)` Notifies the listener that the given model has been activated, that is in foreground and controllable.
`void` | `modelAdded(IModel model)` Model added.
`void` | `modelRemoved(IModel model)` Model removed.
`void` | `viewActivated(org.eclipse.ui.IWorkbenchPart part)` View activated.
`void` | `viewAdded(org.eclipse.ui.IWorkbenchPart part)` View added.
`void` | `viewRemoved(org.eclipse.ui.IWorkbenchPart part)` View removed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractModelWorkbenchListener

    public AbstractModelWorkbenchListener()

Method Detail

### modelActivated

    public void modelActivated(IModel model)

  Description copied from interface: `IModelWorkbenchListener`
  Notifies the listener that the given model has been activated, that is in foreground and controllable. The model is not necessarily focused, nor even visible. Models can be executing but not activated. Note that this assumes that any already activated model is now deactivated, and it the listener's responsibility to keep a reference to that prior model as appropriate. Only one model may be active at any one time.

  Specified by:
    `modelActivated` in interface `IModelWorkbenchListener`
  Parameters:
    `model` -
  See Also:
    `IModelWorkbenchListener.modelActivated(IModel)`

### modelAdded

    public void modelAdded(IModel model)

  Description copied from interface: `IModelWorkbenchListener`
  Model added.

  Specified by:
    `modelAdded` in interface `IModelWorkbenchListener`
  Parameters:
    `model` -
  See Also:
    `IModelWorkbenchListener.modelAdded(IModel)`

### modelRemoved

    public void modelRemoved(IModel model)

  Description copied from interface: `IModelWorkbenchListener`
  Model removed.

  Specified by:
    `modelRemoved` in interface `IModelWorkbenchListener`
  Parameters:
    `model` -
  See Also:
    `IModelWorkbenchListener.modelRemoved(IModel)`

### viewActivated

    public void viewActivated(org.eclipse.ui.IWorkbenchPart part)

  Description copied from interface: `IModelWorkbenchListener`
  View activated.

  Specified by:
    `viewActivated` in interface `IModelWorkbenchListener`
  Parameters:
    `part` -
  See Also:
    `IModelWorkbenchListener.viewActivated(org.eclipse.ui.IWorkbenchPart)`

### viewAdded

    public void viewAdded(org.eclipse.ui.IWorkbenchPart part)

  Description copied from interface: `IModelWorkbenchListener`
  View added.

  Specified by:
    `viewAdded` in interface `IModelWorkbenchListener`
  Parameters:
    `part` -
  See Also:
    `IModelWorkbenchListener.viewAdded(org.eclipse.ui.IWorkbenchPart)`

### viewRemoved

    public void viewRemoved(org.eclipse.ui.IWorkbenchPart part)

  Description copied from interface: `IModelWorkbenchListener`
  View removed.

  Specified by:
    `viewRemoved` in interface `IModelWorkbenchListener`
  Parameters:
    `part` -
  See Also:
    `IModelWorkbenchListener.viewRemoved(org.eclipse.ui.IWorkbenchPart)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD